﻿using Stimulsoft.Report;
using System.Reflection;
using System.Windows;

namespace WpfApp1;

/// <summary>
/// Interaction logic for MainWindow.xaml
/// </summary>
public partial class MainWindow : Window
{
    public MainWindow()
    {
        InitializeComponent();

        this.Loaded += async (sender, args) =>
        {
            var report = new StiReport();

            var assembly = Assembly.GetExecutingAssembly();
            var fullResName = assembly.GetManifestResourceNames().FirstOrDefault(r => r.Contains("test"));

            await using var stream = assembly.GetManifestResourceStream(fullResName);
            report.Load(stream);

            await report.RenderAsync();
            viewer.Report = report;
        };
    }

}